%define name	ganglia-monitor
%define version 2.5.6 
%define release 2mdk
%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %name %{lib_major}
%define script_version 0.3 

Name:         	%{name}
License:      	BSD
Version:        %{version}
Release:        %{release}
Group:        	Monitoring
Summary: 	Ganglia Cluster Toolkit
Url:		http://ganglia.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-buildroot
Source:		%{name}-core-%{version}.tar.bz2
Prereq:		rpm-helper
Source1:	gmond.conf
Source2:	%{name}-script-%{script_version}.tar.bz2
Source3:	%{name}-script.d
Source4:	ganglia-script
Source5:	README.script
Source6:	ganglia-monitor-logrotate.d
Source7: 	gmond-init-add-route
Patch0:         ganglia-makefile-sucks.patch.bz2
Patch1:		ganglia-segfault.patch.bz2
BuildRequires:	librrdtool-devel

%description
Ganglia is a scalable, real-time cluster monitoring and execution environment 
with all execution requests and cluster statistics expressed in an open 
well-defined XML format.

%package 	core
Group:		Monitoring 
Summary:	Ganglia Cluster Core
Prereq:		rpm-helper

%description	core
The core package of Ganglia Monitor.

%package	gmetad
Group:		Monitoring
Summary: 	Ganglia Meta daemon
Prereq:		rpm-helper

%description gmetad
Ganglia is a scalable, real-time monitoring and execution environment
with all execution requests and statistics expressed in an open
well-defined XML format.

This gmetad daemon can aggregate monitoring data from several clusters
to form a monitoring grid. It also keeps metric history using the RRD tool.

%package 	-n %{lib_name}-devel
Group:		Development/Other 
Summary:	Ganglia Cluster Toolkit Library
Provides:	libganglia-monitor-devel = %{version}-%{release}
Provides:	%name-devel = %{version}-%{release}
Requires:	lib%name-devel = %{version}-%{release}
Prereq:		rpm-helper

%description	-n %{lib_name}-devel
The Ganglia Monitoring Core library provides a set of 
functions that programmers can use to build scalable 
cluster or grid applications.

%package 	-n %{lib_name}
Group:		Development/Other 
Summary:	Ganglia Cluster Toolkit Library
Provides:	lib%name = %{version}-%{release}
Prereq:		rpm-helper

%description	-n %{lib_name}
The Ganglia Monitoring Core library provides a set of 
functions that programmers can use to build scalable 
cluster or grid applications.

%package	script
Group:		Monitoring
Summary:	Ganglia Cluster Script
Provides:	%{name}-script
Requires:	%{name}-core
Prereq:		rpm-helper

%description	script
Ganglia Monitor Script is an extrension for Ganglia Monitor.
It's a easy way to add value to monitor for your
Ganglia Monitor.

%prep
%setup -q -T -n %{name}-script-%{script_version} -b 2
%setup -q -T -n %{name}-core-%{version} -b 0
%patch0 -p0
%patch1 -p0

%build
#rm -rf %{buildroot}
#./configure --prefix=%{buildroot}/usr --libdir=%{buildroot}%{_libdir} --with-gmetad
#make

%configure --with-gmetad
%make

#core
%post core
%_post_service gmond

%preun core
%_preun_service gmond

#script
%post script 
%_post_service ganglia-monitor-script

%preun script
%_preun_service ganglia-monitor-script 

%post gmetad
%_post_service gmetad

%preun gmetad
%_preun_service gmetad 

%post -p /sbin/ldconfig -n %{lib_name} 

%post -p /sbin/ldconfig -n %{lib_name}-devel 

%postun -p /sbin/ldconfig -n %{lib_name} 

%postun -p /sbin/ldconfig -n %{lib_name}-devel 

%install 
rm -fr %buildroot
%{__mkdir} -p %{buildroot}%{_initrddir}
%{__mkdir} -p %{buildroot}%{_initrddir}
%{__mkdir} -p %{buildroot}%{_oldincludedir}/ganglia
%{__mkdir} -p %{buildroot}%{_mandir}/man1
%{__mkdir} -p %{buildroot}%{_sysconfdir}/logrotate.d/
%{__mkdir} -p $RPM_BUILD_ROOT/var/lib/ganglia/rrds

%makeinstall_std 

#Disabling setuid
echo "setuid off" >> %{_builddir}/%{name}-core-%{version}/gmetad/gmetad.conf

find  $RPM_BUILD_DIR/%{name}-core-%{version}/ -name "CVS" | xargs rm -rf

cp -f %{_builddir}/%{name}-core-%{version}/lib/ganglia/* %{buildroot}/%{_oldincludedir}/ganglia/
cp -f %{_builddir}/%{name}-core-%{version}/mans/* %{buildroot}%{_mandir}/man1/
%__cp -f %{_builddir}/%{name}-core-%{version}/gmetad/gmetad.conf $RPM_BUILD_ROOT/etc/gmetad.conf
%__cp -f %{_builddir}/%{name}-core-%{version}/gmetad/gmetad.init $RPM_BUILD_ROOT/etc/rc.d/init.d/gmetad

# Patching libdir in libganglia.la : removing buildroot path
# perl -pi -e 's|%buildroot||g' "%{buildroot}%{_exec_prefix}/%{_lib}/libganglia.la"

install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/gmond.conf
#script
%{__mkdir} -p %{buildroot}%{_initrddir}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}-script/script/
%{__mkdir} -p %{buildroot}%{_defaultdocdir}/%{name}-script-%{version}/
install %{SOURCE3} %{buildroot}%{_initrddir}/%{name}-script
install %{SOURCE4} %{buildroot}%{_bindir}
install %{_builddir}/%{name}-script-%{script_version}/* %{buildroot}%{_datadir}/%{name}-script/script/
install %{SOURCE5} %{buildroot}%{_defaultdocdir}/%{name}-script-%{version}/README
install %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/ganglia-monitor-core
install %{SOURCE7} %{buildroot}/%{_initrddir}/gmond
rm -rf  %{buildroot}%{_includedir}/*.h

%files gmetad
%defattr(-,root,root)
%attr(0777,root,root)/var/lib/ganglia/rrds
%{_sbindir}/gmetad
%config(noreplace) %{_initrddir}/gmetad
%config(noreplace) /etc/gmetad.conf

%files core 
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_bindir}/gmetric
%{_bindir}/gstat
%{_sbindir}/gmond
%config(noreplace) %{_initrddir}/gmond
%config(noreplace) %{_sysconfdir}/gmond.conf
%{_mandir}/man1/*
%attr(644,root,root)%config(noreplace) %{_sysconfdir}/logrotate.d/ganglia-monitor-core

%files -n %{lib_name}
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%files script
%defattr(-,root,root)
%config(noreplace) %attr(744,root,root)%{_initrddir}/%{name}-script
%{_bindir}/ganglia-script
%{_datadir}/%{name}-script
%doc %{_defaultdocdir}/%{name}-script-%{version}/README

%clean
rm -rf %{buildroot}

%changelog
* Thu Jun 17 2004 Erwan Velu <erwan@mandrakesoft.com> 2.5.6-2mdk
- Fixing segfault when gmond is not started
* Mon Apr 05 2004 Erwan Velu <erwan@mandrakesoft.com> 2.5.6-1mdk
- New release
- Remove patch0
* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.4-2mdk
- Fix DIRM (distlint)
- %%mklibname
- patch2: fix DESTDIR
- cleanup, cleanup, cleanup... /me slaps Erwan and Aginies :)
 Tue Aug 19 2003 Erwan Velu <erwan@mandrakesoft.com> 2.5.4-1mdk
- 2.5.4
* Thu Jul 16 2003 Erwan Velu <erwan@mandrakesoft.com> 2.5.3-2mdk
- Trying BSD patch for preventing core dump
* Tue Mar 04 2003 Erwan Velu <erwan@mandrakesoft.com> 2.5.2-1mdk
- New release
* Thu Dec 12 2002 Antoine Ginies <clic-dev-public@mandrakesoft.com> 2.5.1-4mdk
- ia64 support (gb)
* Thu Dec 12 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.5.1-3mdk
- Desactivating nobody setuid
* Thu Dec 12 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 2.5.1-2mdk
- Removing old patches
* Wed Dec 11 2002 Erwan Velu <erwan@mandrakesoft.com> 2.5.1-1mdk
- New version
- Enabling gmetad
* Thu Dec 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.1-10mdk
- romove BuildArch to permit rebuild for other arch than i586
* Mon Jul 22 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-9mdk
- bug fix in network.sh : Now support more than one network interface
* Wed Jul 17 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-8mdk
- gmond add a multicast route when it start (SOURCE7)
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.4.1-7mdk
- build 8.2 gcc 2.96
* Tue Jul 03 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-6mdk
- changed in script package cause of probleme with gmetad 
* Tue Jun 25 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-5mdk
- add libganglia
* Tue Jun 25 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-4mdk
- minor change for rpmlint
* Mon Jun 4 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-3mdk
- support added for ganglia-php-network-load-overview.patch
* Mon Jun 4 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-2mdk
- minor change in network.sh
* Mon Jun 3 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.1-1mdk
- Update in the network.sh script to support ganglia-php-network-load.patch
  for ganglia-php-rrd-client
* Wed May 29 2002 Erwan Velu <erwan@mandrakesoft.com> 2.4.0-10mdk
- Fixing wrong version of tarball
* Tue May 28 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.0-9mdk
- change in script "lancer", now we use a perl script
* Tue May 28 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.0-8mdk
- bug fix in /etc/rc.d/ganglia-monitor-script
- minor change in lm_sensor script
* Mon May 27 2002 Erwan Velu <erwan@mandrakesoft.com> 2.4.0-7mdk
- Man pages were in bad package... grrr
* Mon May 27 2002 Erwan Velu <erwan@mandrakesoft.com> 2.4.0-6mdk
- Adding patch for removing buildroot in a libdir path
- Spec update for missing ldconfig
* Mon May 27 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.0-5mdk
- ganglia-monitor-script added
- minor ganglia-monitor spec update
* Fri May 24 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 2.4.0-4mdk
- changed gmond.conf from 755 to 644
* Fri May 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.4.0-3mdk
- build gcc 3.1
* Thu May 16 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.4.0-2mdk
- include gmond.conf
* Thu May 16 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.4.0-1mdk
- new release
* Thu Apr 25 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.3.0-4mdk
- change path /usr/include/ganglia-version to /usr/include/ganglia
* Thu Apr 25 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.3.0-3mdk
- adjust rpmlint error
* Tue Apr 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.3.0-2mdk
- new release 
* Tue Apr 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.2.3-1mdk
- First release for Mandrakesoft
* Mon Mar 11 2002 Matt Massie <massie@cs.berkeley.edu>
- Added support for libganglia, added Prefix: for RPM relocation
* Wed Feb 27 2002 Matt Massie <massie@cs.berkeley.edu>
- Merge gmetric and gmond together into one RPM.  Fix some small bugs.
* Fri Nov  2 2001 Matt Massie <massie@cs.berkeley.edu>
- initial release
